/*#include <avr/io.h>
#include <util/delay.h>

int main()
{
	DDRD |= (1 << PD7);   // pinul corespunzator led-ului USER este output

	while (1)
	{
			PORTD ^= (1 << PD7);    // LED ON
			_delay_ms(500);
	}
	return 0;
}*/
#include <avr/io.h>
#include <avr/interrupt.h>
//#define F_CPU 16000000
#include <util/delay.h>
#include <math.h>

#define MOTOR_PORT (PORTA)
#define MOTOR_PORT_DIR (DDRA)
#define BLUETOOTH_TRANSMIT_PORT (PORTD)
#define BLUETOOTH_EXTRAS_PORT (PORTC)

#define ENA (PA2)
#define ENB (PA3)

#define MOTOR_IN1 (PA4)
#define MOTOR_IN2 (PA5)
#define MOTOR_IN3 (PA6)
#define MOTOR_IN4 (PA7)

int main(void)
{
	DDRD &= ~(1 << PD6);	// pinul PD6 va fi input
	PORTD |= (1 << PD6);	// activam rezistenta de pull-up
	DDRD |= (1 << PD7);		// LED as output

	MOTOR_PORT_DIR |= (1 << ENA) | (1 << ENB) | (1 << MOTOR_IN1) | (1 << MOTOR_IN2) | (1 << MOTOR_IN3) | (1 << MOTOR_IN4);

	MOTOR_PORT |= (1 << ENA) | (1 << ENB);

	while (1)
	{
		//PORTD ^= (1 << PD7);
		if (!(PIND & (1 << PD6))) {// daca bitul corespunzator PD6 este 0
			PORTD |= (1 << PD7);    // LED ON
			MOTOR_PORT &= ~(1 << MOTOR_IN3);
			MOTOR_PORT |= (1 << MOTOR_IN4);	// Go forward

			MOTOR_PORT &= ~(1 << MOTOR_IN1);
			MOTOR_PORT |= (1 << MOTOR_IN2);
		}
		else {
			PORTD &= ~(1 << PD7);
			MOTOR_PORT &= ~(1 << MOTOR_IN4);	// Go backward
			MOTOR_PORT |= (1 << MOTOR_IN3);

			MOTOR_PORT &= ~(1 << MOTOR_IN2);
			MOTOR_PORT |= (1 << MOTOR_IN1);
		}

		_delay_ms(150);
	}
	return 0;
}
